libwxbase3.0-0v5_3.0.2+dfsg-4_i386.deb


Advertisement

Description

libwxbase3.0-0v5 - wxBase library (runtime) - non-GUI support classes of wxWidgets toolkit

Property Value
Distribution Debian 9 (Stretch)
Repository Debian Main i386
Package filename libwxbase3.0-0v5_3.0.2+dfsg-4_i386.deb
Package name libwxbase3.0-0v5
Package version 3.0.2+dfsg
Package release 4
Package architecture i386
Package type deb
Category libs role::shared-lib
Homepage http://www.wxwidgets.org/
License -
Maintainer wxWidgets Maintainers <freewx-maint@lists.alioth.debian.org>
Download size 1.07 MB
Installed size 3.20 MB
wxBase is a collection of C++ classes providing basic data structures
(strings, lists, arrays), powerful wxDateTime class for date manipulations,
portable wrappers around many OS-specific functions allowing the same
program to work for all supported platforms, wxThread class for writing
multithreaded programs, and much more.
wxBase currently supports the following platforms: Generic Unix (Linux,
FreeBSD, Solaris, HP-UX, ...), Microsoft Windows, and Mac OS X.
This package is only useful for non-GUI apps.  It offers a subset of the
classes in libwx_gtk3.0 for use in console apps and daemons.  You do not need
this package to build or use wxWidgets GUI apps.

Alternatives

Package Version Architecture Repository
libwxbase3.0-0v5_3.0.2+dfsg-4_amd64.deb 3.0.2+dfsg amd64 Debian Main
libwxbase3.0-0v5 - - -

Requires

Name Value
libc6 >= 2.15
libexpat1 >= 2.0.1
libgcc1 >= 1:4.2
libstdc++6 >= 5.2
zlib1g >= 1:1.1.4

Replaces

Name Value
libwxbase3.0-0 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libwxbase3.0-0v5_3.0.2+dfsg-4_i386.deb
Source Package wxwidgets3.0

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libwxbase3.0-0v5 deb package:
    # sudo apt-get install libwxbase3.0-0v5

Files

Path
/usr/lib/i386-linux-gnu/libwx_baseu-3.0.so.0
/usr/lib/i386-linux-gnu/libwx_baseu-3.0.so.0.2.0
/usr/lib/i386-linux-gnu/libwx_baseu_net-3.0.so.0
/usr/lib/i386-linux-gnu/libwx_baseu_net-3.0.so.0.2.0
/usr/lib/i386-linux-gnu/libwx_baseu_xml-3.0.so.0
/usr/lib/i386-linux-gnu/libwx_baseu_xml-3.0.so.0.2.0
/usr/share/doc/libwxbase3.0-0v5/README.Debian
/usr/share/doc/libwxbase3.0-0v5/changelog.Debian.gz
/usr/share/doc/libwxbase3.0-0v5/changelog.gz
/usr/share/doc/libwxbase3.0-0v5/copyright
/usr/share/lintian/overrides/libwxbase3.0-0v5

Changelog

2017-04-11 - Gianfranco Costamagna <locutusofborg@debian.org>
wxwidgets3.0 (3.0.2+dfsg-4) unstable; urgency=medium
* Team upload.
* debian/patches/ed88188be7e97a0503f3471f7b0452740b732902.patch:
- fix for upstream issue breaking poedit2 package (Closes: #860043).
2017-03-01 - Olly Betts <olly@survex.com>
wxwidgets3.0 (3.0.2+dfsg-3) unstable; urgency=medium
* Force building as C++98 for now to fix FTBFS of qutemol and perhaps
other rdeps since recent binNMU with a GCC version which defaults
to C++11.  Patch from Adrian Bunk.  (Closes: #856350)
2016-07-29 - Olly Betts <olly@survex.com>
wxwidgets3.0 (3.0.2+dfsg-2) unstable; urgency=medium
* ACK NMUs.
* debian/rules: Remove non-functional --with-sdl from configure invocation,
reported by gregory hainaut. (Closes: #802770)
* New patch Fix-STC-compilation-with-GCC6.patch to fix FTBFS with GCC6.
(Closes: #828926)
* Note conformance with Standards-Version 3.9.8.
2016-05-14 - Benjamin Drung <bdrung@debian.org>
wxwidgets3.0 (3.0.2+dfsg-1.4) unstable; urgency=medium
* Non-maintainer upload.
* Define wxIsNaN() as std::isnan() in C++11 mode. This fixes the build
failure of Audacity (Closes: #824264, LP: #1581807)
2016-02-21 - Sebastian Dröge <slomo@debian.org>
wxwidgets3.0 (3.0.2+dfsg-1.3) unstable; urgency=medium
* Non-maintainer upload.
* debian/control.in,
debian/rules,
debian/patches/gst1.0.patch:
+ Port to GStreamer 1.x (Closes: #785924), patch based on the one from
http://trac.wxwidgets.org/ticket/14976 with a lot of changes.
* debian/control.in:
+ Remove obsolete build-depends on ESD and GConf.
2015-08-03 - Matthias Klose <doko@debian.org>
wxwidgets3.0 (3.0.2+dfsg-1.2) unstable; urgency=medium
* Non maintainer upload.
* Upload to unstable.
2015-07-30 - Matthias Klose <doko@debian.org>
wxwidgets3.0 (3.0.2+dfsg-1.1) experimental; urgency=medium
* Non maintainer upload.
* Rename library packages, follow-up for the libstdc++6 ABI transition.
Addresses: #791311.
* Add Breaks/Replaces to the old library packages.
2015-07-02 - Olly Betts <olly@survex.com>
wxwidgets3.0 (3.0.2+dfsg-1) unstable; urgency=medium
* Repack sources to remove prebuilt .swf and .chm files without sources
(or without suitable sources).  (Closes: #788339)
* Restore the webview packages for now - boinc is still using them (I
failed to pass -R to dak rm when checking if removing it would break
anything).  (Reopens: #790222, #786986)
* Don't package files from the examples which are only useful on other
platforms.  A side benefit is that this moves us closer to a reproducible
build as "chart.icns" seems to trigger a reproducibility issue in gzip.
2015-06-29 - Olly Betts <olly@survex.com>
wxwidgets3.0 (3.0.2-3) unstable; urgency=medium
* debian/rules: Remove the kernel version from WXWIN_OS_DESCRIPTION as it
makes the build less reproducible.
* Give a warning instead of an error if the compiler ABI used to compile
user code is different to that used to compile wxWidgets, which should
fix GCC5 FTBFS for many of wx's reverse build dependencies.
* Stop building with --enable-webview as the only package which was using
it (boinc) no longer is, and it uses an obsolete version of webkit.
Updating to a supported version would require switching to gtk3, which
we probably aren't ready for yet. (Closes: #790222, #786986)
* Call dh_autotools-dev_restoreconfig before dh_clean to avoid debhelper
logs ending up in the source package.

See Also

Package Description
libwxbase3.0-dev_3.0.2+dfsg-4_i386.deb wxBase library (development) - non-GUI support classes of wxWidgets toolkit
libwxgtk-media3.0-0v5_3.0.2+dfsg-4_i386.deb wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library runtime)
libwxgtk-media3.0-dev_3.0.2+dfsg-4_i386.deb wxWidgets Cross-platform C++ GUI toolkit (GTK+ media library development)
libwxgtk-webview3.0-0v5_3.0.2+dfsg-4_i386.deb wxWidgets Cross-platform C++ GUI toolkit (webview library runtime)
libwxgtk-webview3.0-dev_3.0.2+dfsg-4_i386.deb wxWidgets Cross-platform C++ GUI toolkit (webview library development)
libwxgtk3.0-0v5_3.0.2+dfsg-4_i386.deb wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
libwxgtk3.0-dev_3.0.2+dfsg-4_i386.deb wxWidgets Cross-platform C++ GUI toolkit (GTK+ development)
libwxsmithlib-dev_16.01+dfsg-2+b1_i386.deb wxSmith development files (Code::Blocks plugin for RAD GUI editing)
libwxsmithlib0_16.01+dfsg-2+b1_i386.deb wxSmith shared library (Code::Blocks plugin for RAD GUI editing)
libwxsqlite3-3.0-0_3.4.1~dfsg-1_i386.deb SQLite3 C++ wrapper for use in programs based on the wxWidgets
libwxsqlite3-3.0-dev_3.4.1~dfsg-1_i386.deb Development files for wxSQLite3
libx11-6_1.6.4-3+deb9u1_i386.deb X11 client-side library
libx11-data_1.6.4-3+deb9u1_all.deb X11 client-side library
libx11-dev_1.6.4-3+deb9u1_i386.deb X11 client-side library (development headers)
libx11-doc_1.6.4-3+deb9u1_all.deb X11 client-side library (development documentation)
Advertisement
Advertisement